/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.builder.entity.metaData;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes
import gov.va.med.esr.common.builder.datatype.metadata.TN;
import gov.va.med.esr.common.builder.entity.PhoneMetaData;
import gov.va.med.esr.common.model.party.Phone;

// Messaging Class

/**
 * @author Martin Francisco
 */
/**
 * @author DNS   MANSOG
 * @date Jul 14, 2005 4:09:33 PM
 */
public class PhoneMetaDataFromTN
    extends AbstractMetaData
    implements PhoneMetaData
{
    private Phone entity;
    private TN tn;
    private String type;

    public PhoneMetaDataFromTN(TN tn)
    {
        super();

        this.tn = tn;
    }

    public PhoneMetaDataFromTN(TN tn, String type)
    {
        super();
        this.tn = tn;
        this.type = type;
    }
    
    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.esr.messaging.builder.entity.PhoneMetaData#getEntity()
     */
    public Phone getEntity()
    {
        return this.entity;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.esr.messaging.builder.entity.PhoneMetaData#setEntity(gov.va.med.esr.common.model.party.Phone)
     */
    public void setEntity(Phone entity)
    {
        this.entity = entity;
    }

 
    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.esr.messaging.builder.entity.PhoneMetaData#getPhoneNumber()
     */
    public String getPhoneNumber()
    {
        return super.getValue((this.tn == null) ? null : this.tn);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.esr.messaging.builder.entity.PhoneMetaData#getType()
     */
    public String getType()
    {
        return type;
    }
 
    public String getTelecomUseCode()
    {
        return null;
    }
    
    /* (non-Javadoc)
     * @see gov.va.med.esr.messaging.builder.entity.PhoneMetaData#getEndDate()
     */
    public String getEndDate()
    {
        return null;
    }

    public String getStartDate()
    {
        return null;
    }

    /* (non-Javadoc)
     * @see gov.va.med.esr.common.builder.entity.PhoneMetaData#getChangeSite()
     */
    public String getChangeSite()
    {
        return null;
    }

    /* (non-Javadoc)
     * @see gov.va.med.esr.common.builder.entity.PhoneMetaData#getChangeSource()
     */
    public String getChangeSource()
    {
        return null;
    }

    /* (non-Javadoc)
     * @see gov.va.med.esr.common.builder.entity.PhoneMetaData#getChangeDate()
     */
    public String getChangeDate()
    {
        return null;
    }
}